"""empty message

Revision ID: 8341dce8eb27
Revises: e3538a4f68e1
Create Date: 2025-02-10 16:11:37.749427

"""

# revision identifiers, used by Alembic.
revision = '8341dce8eb27'
down_revision = 'e3538a4f68e1'
branch_labels = None

from alembic import op


def upgrade():
    op.execute('DROP VIEW IF EXISTS kc_servers_mltag_view')


def downgrade():
    create_view = '''CREATE VIEW kc_servers_mltag_view AS
        SELECT anon_1.server_id, group_concat(anon_1.tag, ';') AS mltag
        FROM (SELECT kc_servers_tag.server_id AS server_id, coalesce(tag.name || ':' || kc_servers_tag.tag_value, tag.name) AS tag
            FROM kc_servers_tag JOIN tag ON tag.tag_id = kc_servers_tag.tag_id ORDER BY tag.name) AS anon_1
        GROUP BY anon_1.server_id'''
    op.execute(create_view)
